package yi.iu.processor.texture.reg;

import java.awt.*;
import yi.iu.region.Region;
import yi.iu.processor.color.CIELab;

/**
 * ColorPatternRegion represents a region made of several colors.
 * @see ColorPatternRegion
 * @see DS_ColorPatternRegions
 */
public class ColorPatternRegion implements java.io.Serializable{
  /**
   * List the colors in the region
   */
  int[] m_colors;
  /**
   * List the pixel count of each color in the region
   */
  int[] m_counts;
  /**
   * The region information
   */
  Region m_region;

  public ColorPatternRegion() {
  }

  public int[] getColors() {
    return m_colors;
  }

  public void setColors(int[] colors) {
    m_colors = colors;
  }

  public int[] getCounts() {
    return m_counts;
  }

  public void setCounts(int[] counts) {
    m_counts = counts;
  }

  public Region getRegion() {
    return m_region;
  }

  public void setRegion(Region region) {
    m_region = region;
  }

  public ColorPatternRegion(int[] colors, int[] counts, Region region) {
    m_colors = colors;
    m_counts = counts;
    m_region = region;
  }
}